## org.eclipse.emf.common.util
Class BasicEMap.View<K,V>

    java.lang.Object
      org.eclipse.emf.common.util.BasicEMap.View<K,V>

Enclosing class:
  BasicEMap<K,V>

    protected static class BasicEMap.View<K,V>

extends java.lang.Object

An implementation class to hold the views.

Field Summary
`java.util.Set<java.util.Map.Entry<K,V>>` `entrySet` The entry set view.
`java.util.Set<K>` `keySet` The map key set view.
`java.util.Map<K,V>` `map` The map view.
`java.util.Collection<V>` `values` The values collection view.

Constructor Summary
`BasicEMap.View()` Creates an empty instance.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public transient java.util.Map<K,V> map

  The map view.

### keySet

    public transient java.util.Set<K> keySet

  The map key set view.

### entrySet

    public transient java.util.Set<java.util.Map.Entry<K,V>> entrySet

  The entry set view.

### values

    public transient java.util.Collection<V> values

  The values collection view.

Constructor Detail

### BasicEMap.View

    public BasicEMap.View()

  Creates an empty instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.